-- [[ Create ReloadUI() Slashcommand ]]--
SLASH_GMRELOADUI1 = "/rel";
SlashCmdList["GMRELOADUI"] = ReloadUI;


function GMMenu_OnLoad()
	--[[ Set Table for GUI Functions ]]--
	GMMenu = {
		["functions"] = {
			["GMMenu_Category_Give_Gold"] = function(text)
				-- printmessage("executing: GMMenu[\"functions\"][\"GMMenu_Category_Give_Gold\"]("..text..")")
				ExecuteMacroLine("/gm ? givemoney "..text)
			end,
			["GMMenu_Category_Give_Dias"] = function(text)
				-- printmessage("executing: GMMenu[\"functions\"][\"GMMenu_Category_Give_Dias\"]("..text..")")
				ExecuteMacroLine("/gm ? givemoney_account "..text)
			end,
			["GMMenu_Category_Give_Ruby"] = function(text)
				-- printmessage("executing: GMMenu[\"functions\"][\"GMMenu_Category_Give_Ruby\"]("..text..")")
				ExecuteMacroLine("/gm ? givemoney_bonus "..text)
			end,
			["GMMenu_Category_Give_Phirius"] = function(text)
				-- printmessage("executing: GMMenu[\"functions\"][\"GMMenu_Category_Give_Phirius\"]("..text..")")
				ExecuteMacroLine("/gm ? give 203038 "..text)
			end,
			["GMMenu_Category_Give_Item"] = function(text)
				-- printmessage("executing: GMMenu[\"functions\"][\"GMMenu_Category_Give_Item\"]("..text..")")
				ExecuteMacroLine("/gm ? give "..text)
			end,
			["GMMenu_Category_Give_LittleDeath"] = function()
				-- printmessage("executing: GMMenu[\"functions\"][\"GMMenu_Category_Give_LittleDeath\"]()")
				ExecuteMacroLine("/gm ? give 203091")
				UseItemByName("Transformation Potion - Little Death")
				UseItemByName("Transformationstrank - Kleiner Tod")
			end,
			
			
			["GMMenu_Category_Transport_Gold"] = function(text)
				-- printmessage("executing: GMMenu[\"functions\"][\"GMMenu_Category_Give_Gold\"]("..text..")")
				ExecuteMacroLine("/gm ? gotoplayername "..text)
			end,
			["GMMenu_Category_Transport_Dias"] = function(text)
				-- printmessage("executing: GMMenu[\"functions\"][\"GMMenu_Category_Give_Dias\"]("..text..")")
				ExecuteMacroLine("/gm ? callplayername "..text)
			end,
			
			
			["GMMenu_Category_Character_SetLevel"] = function(text)
				-- printmessage("executing: GMMenu[\"functions\"][\"GMMenu_Category_Character_SetLevel\"]("..text..")")
				ExecuteMacroLine("/gm ? setvalue lv "..text)
			end,
			["GMMenu_Category_Character_GiveTP"] = function()
				-- printmessage("executing: GMMenu[\"functions\"][\"GMMenu_Category_Character_GiveTP\"]()")
				ExecuteMacroLine("/gm ? give 203067 99")
			end,
			["GMMenu_Category_Character_SetMainClass"] = function()
				-- printmessage("executing: GMMenu[\"functions\"][\"GMMenu_Category_Character_SetMainClass\"]()")
				GMMenu_OpenSelection("Primaerklasse wechseln", "MainClass")
			end,
			["GMMenu_Category_Character_SetSecClass"] = function()
				-- printmessage("executing: GMMenu[\"functions\"][\"GMMenu_Category_Character_SetSecClass\"]()")
				GMMenu_OpenSelection("Sekundaerklasse wechseln", "SecClass")
			end,
			["GMMenu_Category_Character_SetRace"] = function()
				-- printmessage("executing: GMMenu[\"functions\"][\"GMMenu_Category_Character_SetRace\"]()")
				GMMenu_OpenSelection("Change Race / Sex", "Race")
			end,
			["GMMenu_Category_Character_Hide"] = function()
				-- printmessage("executing: GMMenu[\"functions\"][\"GMMenu_Category_Character_Hide\"]()")
				ExecuteMacroLine("/gm ? gmhide")
			end,
			["GMMenu_Category_Character_AttackFlag"] = function()
				-- printmessage("executing: GMMenu[\"functions\"][\"GMMenu_Category_Character_AttackFlag\"]()")
				ExecuteMacroLine("/gm ? attackflag")
			end,
			["GMMenu_Category_Character_ResetEquipment"] = function()
				-- printmessage("executing: GMMenu[\"functions\"][\"GMMenu_Category_Character_ResetEquipment\"]()")
				GMMenu_ResetEQFrame:Show()
			end,
			
			
			["GMMenu_Category_CMaster_GiveTP"] = function()
				-- printmessage("executing: GMMenu[\"functions\"][\"GMMenu_Category_Character_GiveTP\"]()")
				ExecuteMacroLine("/gm ? killid %T_ID")
			end,
			["GMMenu_Category_CMaster_Hide"] = function()
				-- printmessage("executing: GMMenu[\"functions\"][\"GMMenu_Category_Character_Hide\"]()")
				ExecuteMacroLine("/gm ? full %T_ID")
			end,
			["GMMenu_Category_CMaster_AttackFlag"] = function()
				-- printmessage("executing: GMMenu[\"functions\"][\"GMMenu_Category_Character_AttackFlag\"]()")
				ExecuteMacroLine("/gm ? resetcoldown")
			end,
			
			
			["GMMenu_Category_Teleport_Zone"] = function()
				-- printmessage("executing: GMMenu[\"functions\"][\"GMMenu_Category_Teleport_Zone\"]()")
				GMMenu_OpenSelection("Teleport Zur Zone", "Zone")
			end,
			["GMMenu_Category_Teleport_Instance"] = function()
				-- printmessage("executing: GMMenu[\"functions\"][\"GMMenu_Category_Teleport_Instance\"]()")
				GMMenu_OpenSelection("Teleport Zur Instanz", "Instance")
			end,
			["GMMenu_ResetEQ"] = function()
				-- printmessage("executing: GMMenu[\"functions\"][\"GMMenu_ResetEQ\"]()")
				GMMenu_ResetEQ_Plus = GMMenu_ResetEQFrame_PlusEditBox:GetText()
				GMMenu_ResetEQ_Rarity = GMMenu_ResetEQFrame_RarityEditBox:GetText()
				-- printmessage("plus: "..GMMenu_ResetEQ_Plus..", rarity: "..GMMenu_ResetEQ_Rarity)
				ExecuteMacroLine("/gm ? reseteq "..GMMenu_ResetEQ_Plus.." "..GMMenu_ResetEQ_Rarity)
			end,
			["SelectList"] = {
				["Instance"] = function(ID)
					-- printmessage("executing: GMMenu[\"functions\"][\"SelectList\"][\"Instance\"]("..ID..")")
					-- printmessage("values: title="..GMMenu["SelectLists"]["Instance"][tostring(ID)]["title"]..", value="..GMMenu["SelectLists"]["Instance"][tostring(ID)]["value"])
					ExecuteMacroLine("/gm ? zone "..GMMenu["SelectLists"]["Instance"][tostring(ID)]["value"])
				end,
				["Zone"] = function(ID)
					-- printmessage("executing: GMMenu[\"functions\"][\"SelectList\"][\"Zone\"]("..ID..")")
					-- printmessage("values: title="..GMMenu["SelectLists"]["Zone"][tostring(ID)]["title"]..", value="..GMMenu["SelectLists"]["Zone"][tostring(ID)]["value"])
					ExecuteMacroLine("/gm ? zone "..GMMenu["SelectLists"]["Zone"][tostring(ID)]["value"])
				end,
				["Race"] = function(ID)
					-- printmessage("executing: GMMenu[\"functions\"][\"SelectList\"][\"Race\"]("..ID..")")
					-- printmessage("values: title="..GMMenu["SelectLists"]["Race"][tostring(ID)]["title"]..", value="..GMMenu["SelectLists"]["Race"][tostring(ID)]["value"])
					ExecuteMacroLine("/gm ? setvalue sex "..GMMenu["SelectLists"]["Race"][tostring(ID)]["value"])
				end,
				["MainClass"] = function(ID)
					-- printmessage("executing: GMMenu[\"functions\"][\"SelectList\"][\"MainClass\"]("..ID..")")
					-- printmessage("values: title="..GMMenu["SelectLists"]["MainClass"][tostring(ID)]["title"]..", value="..GMMenu["SelectLists"]["MainClass"][tostring(ID)]["value"])
					ExecuteMacroLine("/gm ? setvalue job "..GMMenu["SelectLists"]["MainClass"][tostring(ID)]["value"])
				end,
				["SecClass"] = function(ID)
					-- printmessage("executing: GMMenu[\"functions\"][\"SelectList\"][\"SecClass\"]("..ID..")")
					-- printmessage("values: title="..GMMenu["SelectLists"]["SecClass"][tostring(ID)]["title"]..", value="..GMMenu["SelectLists"]["SecClass"][tostring(ID)]["value"])
					ExecuteMacroLine("/gm ? setvalue subjob "..GMMenu["SelectLists"]["SecClass"][tostring(ID)]["value"])
				end,
			},
		},
		["SelectLists"] = {
			["Race"] ={
				["number"] = 5,
				["1"] = {
					["title"] = "Elfe maennlich",
					["value"] = 0,
				},
				["2"] = {
					["title"] = "Elfe weiblicher",
					["value"] = 1,
				},
				["3"] = {
					["title"] = "Mensch maennlich",
					["value"] = 2,
				},
				["4"] = {
					["title"] = "Mensch weiblich",
					["value"] = 3,
				},
				["5"] = {
					["title"] = "Zwerg maennlich",
					["value"] = 4,
				},				
			},
			["MainClass"] ={
				["number"] = 11,
				["1"] = {
					["title"] = "Gamemaster",
					["value"] = 0,
				},
				["2"] = {
					["title"] = "Krieger",
					["value"] = 1,
				},
				["3"] = {
					["title"] = "Kundschafter",
					["value"] = 2,
				},
				["4"] = {
					["title"] = "Schurke",
					["value"] = 3,
				},
				["5"] = {
					["title"] = "Magier",
					["value"] = 4,
				},
				["6"] = {
					["title"] = "Priester",
					["value"] = 5,
				},
				["7"] = {
					["title"] = "Ritter",
					["value"] = 6,
				},
				["8"] = {
					["title"] = "Bewahrer",
					["value"] = 7,
				},
				["9"] = {
					["title"] = "Druide",
					["value"] = 8,
				},
				["10"] = {
					["title"] = "Hexenmeister",
					["value"] = 9,
				},
				["11"] = {
					["title"] = "Champion",
					["value"] = 10,
				},
				
			},
			["SecClass"] ={
				["number"] = 11,
				["1"] = {
					["title"] = "Gamemaster",
					["value"] = 0,
				},
				["2"] = {
					["title"] = "Krieger",
					["value"] = 1,
				},
				["3"] = {
					["title"] = "Kundschafter",
					["value"] = 2,
				},
				["4"] = {
					["title"] = "Schurke",
					["value"] = 3,
				},
				["5"] = {
					["title"] = "Magier",
					["value"] = 4,
				},
				["6"] = {
					["title"] = "Priester",
					["value"] = 5,
				},
				["7"] = {
					["title"] = "Ritter",
					["value"] = 6,
				},
				["8"] = {
					["title"] = "Bewahrer",
					["value"] = 7,
				},
				["9"] = {
					["title"] = "Druiden",
					["value"] = 8,
				},
				["10"] = {
					["title"] = "Hexenmeister",
					["value"] = 9,
				},
				["11"] = {
					["title"] = "Champion",
					["value"] = 10,
				},
				
			},
			["Instance"] = {
				["number"] = 40,
				["1"] = {
					["title"] = "Karge Hoehlen",
					["value"] = "110 0 1715 150 1380",
				},
				["2"] = {
					["title"] = "Verlassene Abtei",
					["value"] = "102 0 1244 320 2905",
				},
				["3"] = {
					["title"] = "Graeberstadt der Spiegel",
					["value"] = "103 0 683 -107 782",
				},
				["4"] = {
					["title"] = "Mystischer Altar",
					["value"] = "104 0 912 984 1795",
				},
				["5"] = {
					["title"] = "Ameisenkoenigin",
					["value"] = "105 0 1496 391 1241",
				},
				["6"] = {
					["title"] = "Schrein von Pasper",
					["value"] = "106 0 2801 79 3001",
				},
				["7"] = {
					["title"] = "Schrein von Kalin",
					["value"] = "107 0 4721 680 854",
				},
				["8"] = {
					["title"] = "Schatzhoehle",
					["value"] = "108 0 3111 711 686",
				},
				["9"] = {
					["title"] = "Eiszwergeninstanz 35",
					["value"] = "113 0 4305 229 2553",
				},
				["10"] = {
					["title"] = "Eiszwergeninstanz 50",
					["value"] = "114 0 4305 229 2553",
				},
				["11"] = {
					["title"] = "Hoehle der Zyklopen",
					["value"] = "252",
				},
				["12"] = {
					["title"] = "Herz der Ozeans",
					["value"] = "115 0 2399 657 3305",
				},
				["13"] = {
					["title"] = "Halle der Ueberlebenden",
					["value"] = "117 0 -1465 1437 -2710",
				},
				["14"] = {
					["title"] = "Kerker von Dalanis",
					["value"] = "127 0 1771 433 2881",
				},
				["15"] = {
					["title"] = "Ursprung",
					["value"] = "116 0 1437 188 942",
				},
				["16"] = {
					["title"] = "Hoehle des Wasserdrachens",
					["value"] = "118 0 0 670 -2028",
				},
				["17"] = {
					["title"] = "Hort des Daemonendrachen",
					["value"] = "119 0 3330 1491 3506",
				},
				["18"] = {
					["title"] = "Zurhidon Feste",
					["value"] = "120 0 605 1006 423",
				},
				["19"] = {
					["title"] = "Halle des Daemonenfuersten",
					["value"] = "122 0 -303 755 717",
				},
				["20"] = {
					["title"] = "Warnorken-Burg",
					["value"] = "129 0 2025 513 1909",
				},
				["21"] = {
					["title"] = "Tempel der Raksha",
					["value"] = "130 0 1870 88 452",
				},
				["22"] = {
					["title"] = "Grabmal von Kawak",
					["value"] = "134 0 1382 891 -2862",
				},
				["23"] = {
					["title"] = "Alptraum von Varanas",
					["value"] = "208 0 782 117 -1715",
				},
				["24"] = {
					["title"] = "Ruinen des Koenigreichs von Magnork",
					["value"] = "210 0 -1375 118 153",
				},
				["25"] = {
					["title"] = "Pilzgarten",
					["value"] = "301",
				},
				["26"] = {
					["title"] = "Blutige Gallerie",
					["value"] = "201",
				},
				["27"] = {
					["title"] = "Windmuehlenkeller",
					["value"] = "250",
				},
				["28"] = {
					["title"] = "Arkane Schatzkammer von Sathkur",
					["value"] = "251",
				},
				["29"] = {
					["title"] = "Seele der Sturmhoehle",
					["value"] = "302",
				},
				["30"] = {
					["title"] = "Burg Grafu - Easy",
					["value"] = "138",
				},
				["31"] = {
					["title"] = "Burg Grafu - Normal",
					["value"] = "137",
				},
				["32"] = {
					["title"] = "Burg Grafu - Hard",
					["value"] = "136",
				},
				["33"] = {
					["title"] = "Burg Sardo",
					["value"] = "139 0 909 1470 -1420",
				},
				["34"] = {
					["title"] = "Grab der sieben Helden - Easy",
					["value"] = "143",
				},
				["35"] = {
					["title"] = "Grab der sieben Helden - Normal",
					["value"] = "142",
				},
				["36"] = {
					["title"] = "Grab der sieben Helden - Hard",
					["value"] = "141",
				},	
				["37"] = {
					["title"] = "Ewiger Kreis - Easy",
					["value"] = "145",
				},	
				["38"] = {
					["title"] = "Ewiger Kreis - Normal",
					["value"] = "144",
				},					
				["39"] = {
					["title"] = "Nest von Kulech - Normal",
					["value"] = "148",
				},		
				["40"] = {
					["title"] = "Nest von Kulech - Hard",
					["value"] = "146",
				},					

			},
			["Zone"] = {
				["number"] = 31,
				["1"] = {
					["title"] = "Tutorial",
					["value"] = "100",
				},
				["2"] = {
					["title"] = "Heulende Berge",
					["value"] = "1",
				},
				["3"] = {
					["title"] = "Silberfall",
					["value"] = "2",
				},
				["4"] = {
					["title"] = "Rabenfeld",
					["value"] = "3",
				},
				["5"] = {
					["title"] = "Aslan",
					["value"] = "4",
				},
				["6"] = {
					["title"] = "Ystra",
					["value"] = "5",
				},
				["7"] = {
					["title"] = "Staubteufel Canyon",
					["value"] = "6",
				},
				["8"] = {
					["title"] = "Kueste der Wehklagen",
					["value"] = "7",
				},
				["9"] = {
					["title"] = "Wilde Lande",
					["value"] = "8",
				},
				["10"] = {
					["title"] = "Aotulia Vulkan",
					["value"] = "9 0 -11038 972 26259",
				},
				["11"] = {
					["title"] = "Donnerhufhuegel",
					["value"] = "15",
				},
				["12"] = {
					["title"] = "Suedlicher Janostwald",
					["value"] = "16",
				},
				["13"] = {
					["title"] = "Noerdlicher Janostwald",
					["value"] = "17",
				},
				["14"] = {
					["title"] = "Wueste Limo",
					["value"] = "18",
				},
				["15"] = {
					["title"] = "Sascilia Steppe",
					["value"] = "10",
				},
				["16"] = {
					["title"] = "Drachenzahngebirge",
					["value"] = "11",
				},
				["17"] = {
					["title"] = "Elfeninsel",
					["value"] = "12",
				},
				["18"] = {
					["title"] = "Hochzeitssaal",
					["value"] = "303",
				},

				["19"] = {
					["title"] = "Karros Canyon - na",
					["value"] = "431",
				},
				["20"] = {
					["title"] = "Visdun Fortress - na",
					["value"] = "445",
				},
				["21"] = {
					["title"] = "Tyrefen Mountain Range - na",
					["value"] = "446",
				},
				["22"] = {
					["title"] = "Vermillia Basin - na",
					["value"] = "450",
				},
				["23"] = {
					["title"] = "Land des Unheils",
					["value"] = "19",
				},
				["24"] = {
					["title"] = "Rothuegelberg",
					["value"] = "20",
				},
				["25"] = {
					["title"] = "Kueste der Gelegenheit",
					["value"] = "13",
				},
				["26"] = {
					["title"] = "Xaviera",
					["value"] = "14",
				},
				["27"] = {
					["title"] = "Untergrund Feuerstiefelfestung",
					["value"] = "80",
				},
				["28"] = {
					["title"] = "Tergothenbucht",
					["value"] = "21",
				},		
				["29"] = {
					["title"] = "Altes Koenigreich von Rorazan",
					["value"] = "22",
				},					
				["30"] = {
					["title"] = "Chrysalia",
					["value"] = "23",
				},	
				["31"] = {
					["title"] = "Hoehlen von Yrvandis",
					["value"] = "31",
				},				

			},
		},
	}
	
	--[[ Set FontString Texts ]]--
	-- Window Title
	GMMenu_Title:SetText("Gamemaster Menu v3.5 - Chrysalia")
	
	-- Category Give
	GMMenu_Category_Give_Title:SetText("Items spawnen / Gold")
		-- Gold
		GMMenu_Category_Give_Gold_Button:SetText("Gold")
		GMMenu_Category_Give_Gold_EditBox:SetText(1000000)
		-- Diamonds
		GMMenu_Category_Give_Dias_Button:SetText("Diamanten")
		GMMenu_Category_Give_Dias_EditBox:SetText(1000)
		-- Rubys
		GMMenu_Category_Give_Ruby_Button:SetText("Rubine")
		GMMenu_Category_Give_Ruby_EditBox:SetText(5000)
		-- Phirius
		GMMenu_Category_Give_Phirius_Button:SetText("Phirius")
		GMMenu_Category_Give_Phirius_EditBox:SetText(1000)
		-- Item by ID
		GMMenu_Category_Give_Item_Button:SetText("Item per ID")
		GMMenu_Category_Give_Item_EditBox:SetText(203091)
		-- Kleiner Tod
		GMMenu_Category_Give_LittleDeath:SetText("Spawnt Kleiner Tod und benutzt ihn")

	-- Category Transport zum Spieler
	GMMenu_Category_Transport_Title:SetText("Transport per Namen")
		-- Transport to
		GMMenu_Category_Transport_Gold_Button:SetText("Tranport zu")
		GMMenu_Category_Transport_Gold_EditBox:SetText()
		-- Transport from
		GMMenu_Category_Transport_Dias_Button:SetText("Transport von")
		GMMenu_Category_Transport_Dias_EditBox:SetText()
		
	-- Category Character
	GMMenu_Category_Character_Title:SetText("Charakter")
		-- Level setzen
		GMMenu_Category_Character_SetLevel_Button:SetText("Level setzen")
		GMMenu_Category_Character_SetLevel_EditBox:SetText(75)
		-- Give TP
		GMMenu_Category_Character_GiveTP:SetText("100.000 Talentsphaere x 99")
		-- Set Main Class
		GMMenu_Category_Character_SetMainClass:SetText("Primaerklasse wechseln")
		-- Set Secondary Class
		GMMenu_Category_Character_SetSecClass:SetText("Sekundaerklasse wechseln")
		-- Set Race
		GMMenu_Category_Character_SetRace:SetText("Rasse & Geschlecht wechseln")
		-- Hide
		GMMenu_Category_Character_Hide:SetText("Man sieht mich nicht :-)")
		-- Switch Attack Flag
		GMMenu_Category_Character_AttackFlag:SetText("Aggro auf 0 setzen")
		-- Change Equipment
		GMMenu_Category_Character_ResetEquipment:SetText("!!Danger - Equipment wechseln!!")
	
       -- Category CMbefehle
	GMMenu_Category_CMaster_Title:SetText("CM-Befehle")
		-- Give TP
		GMMenu_Category_CMaster_GiveTP:SetText("Killbefehl - Keine NPC toeten!!")
		-- Hide
		GMMenu_Category_CMaster_Hide:SetText("Target wird vollgeheilt")
		-- Switch Attack Flag
		GMMenu_Category_CMaster_AttackFlag:SetText("Cooldown zuruecksetzen")
	
	
	-- Category Teleport
	GMMenu_Category_Teleport_Title:SetText("Transport")
		-- To Zone
		GMMenu_Category_Teleport_Zone:SetText("zur Zone")
		-- To Instance
		GMMenu_Category_Teleport_Instance:SetText("zur Instanz")
	
	-- Author Label
	GMMenu_AboutAuthor_Label:SetText("Original von Gonium, bearbeitet und erweitert von Rismak & Ocvist")

end

function GMMenu_ResetEQ_OnLoad()
	-- Change Equipment Frame
	GMMenu_ResetEQFrame_Title:SetText("Equipment")
	GMMenu_ResetEQFrame_PlusEditBox:SetText(20)
	GMMenu_ResetEQFrame_PlusEditBox_Title:SetText("Plus")
	GMMenu_ResetEQFrame_RarityEditBox:SetText(1)
	GMMenu_ResetEQFrame_RarityEditBox_Title:SetText("Rarity")
	GMMenu_ResetEQFrame_Do:SetText("Change Equipment!")
end
-- [[ Helper Functions ]]--
function printmessage(text)
	ChatFrame1:AddMessage(text)
end

function GMMenu_SetupSelectFrame(this)
	GMMenu_SelectList_List = "Instance"
	GMMenu_SelectList_ScrollFrame = this
	UIPanelScrollFrame_OnLoad(this)
	gmmenuscrollbar = getglobal(this:GetName().."ScrollBar")
	gmmenuscrollbar:SetMinMaxValues(0,1650)
	gmmenuscrollbar.scrollframe = GMMenu_SelectList_ScrollFrame
	
	GMMenu_SelectFrame_List_Button1:ClearAllAnchors()
	GMMenu_SelectFrame_List_Button1:SetAnchor("TOP", "TOP", "GMMenu_SelectFrame_List", 0, 1)
	GMMenu_SelectFrame_List_Button1_Label:SetText("Button 1")
	for i = 2, 75 do
		getglobal("GMMenu_SelectFrame_List_Button"..i):ClearAllAnchors()
		getglobal("GMMenu_SelectFrame_List_Button"..i):SetAnchor("TOP", "BOTTOM", "GMMenu_SelectFrame_List_Button"..(i-1), 0, 1)
	end
end

function GMMenu_ChangeSelectFrameScrollBar(buttonnum)
	GMMenu_SelectList_ScrollFrame_MaxValue = (buttonnum * 25) - 226
	gmmenuscrollbar:SetMinMaxValues(0,GMMenu_SelectList_ScrollFrame_MaxValue)
	gmmenuscrollbar.scrollframe = GMMenu_SelectList_ScrollFrame
end

function GMMenu_OpenSelection(selectiontitle, selectiontype)
	GMMenu_SelectFrame_Title:SetText(selectiontitle)
	GMMenu_SelectList_List = selectiontype
	GMMenu_SelectList_Number = GMMenu["SelectLists"][GMMenu_SelectList_List]["number"]
	GMMenu_ChangeSelectFrameScrollBar(GMMenu_SelectList_Number)
	for i = 1, GMMenu_SelectList_Number do
		GMMenu_SelectList_Text = GMMenu["SelectLists"][GMMenu_SelectList_List][tostring(i)]["title"] or ""
		getglobal("GMMenu_SelectFrame_List_Button"..i.."_Label"):SetText(GMMenu_SelectList_Text)
		getglobal("GMMenu_SelectFrame_List_Button"..i):Show()
	end
	for i = GMMenu_SelectList_Number + 1, 75 do
		GMMenu_SelectList_Text = ""
		getglobal("GMMenu_SelectFrame_List_Button"..i.."_Label"):SetText(GMMenu_SelectList_Text)
		getglobal("GMMenu_SelectFrame_List_Button"..i):Hide()
	end
	GMMenu_SelectFrame:Show()
end
